<div
    ng-controller="managementUnitFormController as self"
    ng-init="self.init(<?= $this->managementUnit ? $this->managementUnit->getId() : '' ?>)"
>
    <ul class="breadcrumb">
        <li>
            <a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a>
        </li>
        <li><?= $this->translate('budget_module_title') ?></li>
        <li>
            <a href="<?= $this->url('budget/management-unit') ?>"
                ><?= $this->translate('management_unit_module_title') ?></a
            >
        </li>
        <li class="active">
            <span ng-if="self.managementUnit.id">{{self.panelTitle}}</span>
            <span ng-if="!self.managementUnit.id"><?= $this->translate('management_unit_nav_form') ?></span>
        </li>
    </ul>

    <h1 class="page-title">
        <?= $this->icon('managementUnit') ?>
        <?= $this->translate('management_unit_module_title') ?>
    </h1>

    <div class="row row-padding">
        <div class="col-xs-12">
            <div class="panel">
                <div class="panel-heading">
                    <span ng-if="self.managementUnit.id">
                        {{self.panelTitle}}
                    </span>
                    <span ng-if="!self.managementUnit.id">
                        <?= $this->translate('management_unit_nav_form') ?>
                    </span>

                    <div class="panel-heading-right">
                        <div
                            class="panel-heading-actions"
                            ng-if="self.managementUnit.id && self.managementUnit._rights.delete"
                            tooltip="<?= $this->translate('tooltip_delete') ?>"
                        >
                            <?= $this->icon('delete', 'pointer', [
                                'ng-click' => 'self.deleteOrganization()',
                            ]) ?>
                        </div>
                    </div>
                </div>
                <div class="panel-body">
                    <form name="managementUnitForm" ng-submit="self.saveOrganization()">
                        <input type="hidden" name="id" ng-model="self.managementUnit.id" />

                        <div class="row">
                            <div class="form-group col-sm-4">
                                <label><?= $this->translate('management_unit_field_code') ?></label>
                                <input
                                    type="text"
                                    name="code"
                                    class="form-control"
                                    autocomplete="off"
                                    ng-model="self.managementUnit.code"
                                    ng-readonly="!self.managementUnit._rights.update"
                                />
                                <field-errors
                                    field="code"
                                    errors="self.errors.fields"
                                ></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group required col-sm-4">
                                <label><?= $this->translate('management_unit_field_name') ?></label>
                                <input
                                    type="text"
                                    name="name"
                                    class="form-control"
                                    required
                                    autocomplete="off"
                                    ng-model="self.managementUnit.name"
                                    ng-readonly="!self.managementUnit._rights.update"
                                />
                                <field-errors
                                    field="name"
                                    errors="self.errors.fields"
                                ></field-errors>
                            </div>
                        </div>

                        <div class="row">
                            <div class="form-group col-sm-4">
                                <label><?= $this->translate('management_unit_field_parent') ?></label>
                                <management-unit-select
                                    ng-model="self.managementUnit.parent"
                                    ng-readonly="!self.managementUnit._rights.update"
                                    configuration="{
                                        service: {
                                            apiParams: {
                                                search: {
                                                    data: {
                                                        filters: {
                                                            id: {
                                                                op: 'neq',
                                                                val: self.managementUnit.id
                                                            }
                                                        }
                                                    }
                                                }
                                            }
                                        }
                                    }"
                                ></management-unit-select>
                                <field-errors
                                    field="parent"
                                    errors="self.errors.fields"
                                ></field-errors>
                            </div>
                        </div>

                        <div class="row" ng-if="self.managementUnit._rights.update">
                            <div class="col-xs-12">
                                <button
                                    type="submit"
                                    class="btn btn-submit"
                                    ng-disabled="self.loading.remove || self.loading.save"
                                >
                                    <?= $this->icon('loading', '', [
                                        'ng-if' => 'self.loading.save',
                                    ]) ?>
                                    <?= $this->translate('form_button_save') ?>
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('budget:e:managementUnit:c')) {
    $fabLinks[] = [
        'href' => $this->url('budget/management-unit/form'),
        'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('management_unit_nav_form'),
    ];
    $fabLinks[] = [
        'href' => $this->url('import', ['entity' => 'managementUnit']),
        'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('management_unit_nav_import'),
    ];
}
echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/budget/service/managementUnit.js');
$this->angular('js/src/budget/controller/management-unit/form.js');
$this->angular('js/src/budget/directive/managementUnitSelect.js');

